%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/
%define		_class		HTML
%define		_subclass	QuickForm2
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	2.3.2
Release:	%mkrel 1
Summary:	Methods for creating, validating, processing HTML forms
License:	BSD
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_QuickForm2
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.4
Requires:	php-pear-HTML_Common2 >= 2.0.0
BuildArch:	noarch

%description
PHP5 rewrite of HTML_QuickForm and HTML_QuickForm_Controller packages.

 This package provides methods to create, validate and render HTML forms.

 Features:
   * Supports all form elements defined by HTML standard, provides several
     custom elements
   * Server-side and client-side validation, several common rules provided
   * Multipage forms (tabbed forms and wizards)
   * Pluggable elements, rules, renderers and renderer plugins

 Major advantages over PHP4 version:
   * Most of the package's functionality is covered by unit tests
   * DOM-like API for building the form structure, new streamlined API for
     elements' values handling
   * Default rendering without tables (inspired by
     HTML_QuickForm_Renderer_Tableless)
   * Renderer plugins for elements with complex rendering needs
   * Ability to chain validation rules with 'and' and 'or'
   * Client-side validation can run "live" on changing the form fields,
     validation errors are displayed near the fields instead of in alert()

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm2.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm2
fi

%files
%doc docs/HTML_QuickForm2/*
%{peardir}/*
%{xmldir}/HTML_QuickForm2.xml


%changelog
* Sat Nov 04 2023 mokraemer <mokraemer> 2.3.2-1.mga10
+ Revision: 2004049
- new version 2.3.2

* Mon May 23 2022 mokraemer <mokraemer> 2.3.1-1.mga9
+ Revision: 1859967
- new version 2.3.1
- new release 2.3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Jul 26 2021 mokraemer <mokraemer> 2.2.2-1.mga9
+ Revision: 1737866
- new version 2.2.2

* Tue Sep 29 2020 mokraemer <mokraemer> 2.2.0-1.mga8
+ Revision: 1631088
- new version 2.2.0

* Wed Feb 12 2020 umeabot <umeabot> 2.0.2-8.mga8
+ Revision: 1498911
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.2-7.mga7
+ Revision: 1273218
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 949950
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 2.0.2-5.mga5
+ Revision: 792058
- add excludes

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 745551
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.0.2-3.mga5
+ Revision: 734047
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 687274
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jul 05 2014 spuhler <spuhler> 2.0.2-1.mga5
+ Revision: 643988
- upgrade to ver. 2.0.2

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 530879
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 spuhler <spuhler> 2.0.0-2.mga4
+ Revision: 460673
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)
 * this file has been dropped long ago, but upstream doesn't correct the problem

* Wed Jul 24 2013 spuhler <spuhler> 2.0.0-1.mga4
+ Revision: 457843
- imported package php-pear-HTML_QuickForm2

